
From: Badari Pulavarty <pbadari@us.ibm.com>

Feral driver does not seem to turn on highmemio, if you don't have more
than 4GB in the system.  It sets dma_mask to 0xffffffff correctly, but does
not= set highmemio flag to indicate that it can handle highmem.

scsi_calculate_bounce_limit() checks dma_mask only if highmemio is it.
Otherwise, it returns BLK_BOUNCE_HIGH.



 drivers/scsi/isp/isp_pci.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/scsi/isp/isp_pci.c~feral-bounce-fix drivers/scsi/isp/isp_pci.c
--- 25/drivers/scsi/isp/isp_pci.c~feral-bounce-fix	2003-07-11 17:26:05.000000000 -0700
+++ 25-akpm/drivers/scsi/isp/isp_pci.c	2003-07-11 17:26:05.000000000 -0700
@@ -857,6 +857,9 @@ isplinux_pci_init(struct Scsi_Host *host
 	    if (pci_set_dma_mask(isp_pci->pci_dev, (u64)0xffffffff)) {
 		isp_prt(isp, ISP_LOGERR, "cannot set 32 bit dma mask");
 		goto bad;
+	    } else {
+	    	isp_prt(isp, ISP_LOGCONFIG, "enabling 32 bit DMA");
+        	host->highmem_io = 1;
 	    }
 	} else {
 	    isp_prt(isp, ISP_LOGCONFIG, "enabling 64 bit DMA");

_
